diff --git a/src/bin/pg_basebackup/pg_receivexlog.c b/src/bin/pg_basebackup/pg_receivexlog.c
index 0b7af54..4483c87 100644
--- a/src/bin/pg_basebackup/pg_receivexlog.c
+++ b/src/bin/pg_basebackup/pg_receivexlog.c
@@ -441,15 +441,15 @@ main(int argc, char **argv)
 			case 'n':
 				noloop = 1;
 				break;
-		case 'F':
-			fsync_interval = atoi(optarg) * 1000;
-			if (fsync_interval < -1000)
-			{
-				fprintf(stderr, _("%s: invalid fsync interval \"%s\"\n"),
-						progname, optarg);
-				exit(1);
-			}
-			break;
+			case 'F':
+				fsync_interval = atoi(optarg) * 1000;
+				if (fsync_interval < -1000)
+				{
+					fprintf(stderr, _("%s: invalid fsync interval \"%s\"\n"),
+							progname, optarg);
+					exit(1);
+				}
+				break;
 			case 'v':
 				verbose++;
 				break;
